package com.sf.mapper;


import com.sf.entity.SysUser;

import java.util.List;

/**
 * @author WanJl
 * @version 1.0
 * @title SysUserMapper
 * @description
 * @create 2025/11/16
 */
public interface SysUserMapper {
    /**
     * 查询所有用户信息，包含用户详情信息
     * @return
     */
    List<SysUser> findAll();

    /**
     * 根据id查询用户信息，包含用户详情信息
     * @param userId
     * @return
     */
    SysUser findById(Integer userId);

    /**
     * 一对多+一对一  查询用户、用户详情、所属角色
     * @param userId
     * @return
     */
    SysUser findUserWithInfoAndRole(Integer userId);



}
